Update an existing category
curl --request PUT \
--url https://{tenant}.app.big-panda.ai/api/knowledge/categories/{category_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_order": 1
}
'import requests
url = "https://{tenant}.app.big-panda.ai/api/knowledge/categories/{category_id}"
payload = {
"name": "<string>",
"description": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_order": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
parent_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
sort_order: 1
})
};
fetch('https://{tenant}.app.big-panda.ai/api/knowledge/categories/{category_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sort_order": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Categories
Update an existing category
Update fields of an existing category.
PUT
/
api
/
knowledge
/
categories
/
{category_id}
Update an existing category
Authorizations
API-Token aus dem Big-Panda-Admin-UI unter Einstellungen → API-Keys. Header: Authorization: Bearer <token>.
Path Parameters
Body
application/json
Payload for updating an existing category.
All fields are optional. Only fields that are explicitly provided will be modified — other fields keep their current value.
Note: parent_id can be set to null explicitly to move a category to the top level. Pydantic distinguishes "not in payload" from "explicitly null" via model_fields_set.
Response
Successful Response
Category data returned in HTTP responses.
Required string length:
1 - 200UUID of the parent category, or null for a top-level category
Required range:
x >= 0